Bug 228723 - NEW PORT: net-im/sshout Instant-messaging solution based on SSH
Summary: NEW PORT: net-im/sshout Instant-messaging solution based on SSH
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Rodrigo Osorio
URL:
Keywords: needs-qa
Depends on:
Blocks:
 
Reported: 2018-06-03 11:12 UTC by WHR
Modified: 2020-04-15 21:53 UTC (History)
3 users (show)

See Also:


Attachments
sshout-1.0-ports.diff (7.45 KB, text/plain)
2018-06-03 11:12 UTC, WHR
no flags Details
sshout-1.0.1-ports.diff (7.08 KB, patch)
2018-08-25 12:15 UTC, WHR
no flags Details | Diff
sshout-1.0.2-ports.diff (7.33 KB, patch)
2019-01-09 06:17 UTC, WHR
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description WHR 2018-06-03 11:12:21 UTC
Created attachment 193966 [details]
sshout-1.0-ports.diff

Secure Shout Host Oriented Unified Talk is an instant-messaging platform
designed to make uses of the existing SSH server in your system.
SSHOUT creates a private chat room in your host. The authentication of the
chat room is done by SSH public authentication. Users can join your chat room
by either directly connecting your SSH server with any SSH client; or using a
SSHOUT client that implemented the client side SSHOUT API.
This package provides the SSHOUT server side programs; if you are finding a
SSHOUT client, go to project page and find out a suitable client; or you can
also write your own client using SSHOUT API.

WWW: https://sourceforge.net/projects/sshout/
Comment 1 Nathan 2018-08-25 04:01:07 UTC
Port does not build, with error:
===> Creating groups.
** Cannot find any information about group `sshout' in /usr/ports/GIDs.

Also upstream has version 1.0.1

Instead of using extract_sufx, you can add tar:bz2 in USES=
Comment 2 WHR 2018-08-25 06:24:23 UTC
> ** Cannot find any information about group `sshout' in /usr/ports/GIDs.

I think this is due to the GID and UID I choose to use (233) is already allocated in current svn://svn.freebsd.org/ports/head
Comment 3 WHR 2018-08-25 12:15:24 UTC
Created attachment 196525 [details]
sshout-1.0.1-ports.diff

Update for version 1.0.1
Changed UID/GID from latest free list
Comment 4 WHR 2019-01-09 06:17:31 UTC
Created attachment 200939 [details]
sshout-1.0.2-ports.diff

Update to version 1.0.2
Comment 5 Rodrigo Osorio freebsd_committer 2020-03-28 15:28:33 UTC
Hi,

Sorry for the delay, but I still questioning myself about the interest of such
application in the ports tree. One of my main concerns is the fact this application seems to be not actively maintained since 2018.

As I consequence I will close this PR with the "not accepted status".
Maybe I'm wrong, so if you have arguments to oppose, feel free to reopen
this issue and let's discuss.

Sorry for that,
-- rodrigo
Comment 6 WHR 2020-03-29 10:34:02 UTC
(In reply to Rodrigo Osorio from comment #5)

This program is still being maintained, but probably not the 1.0 branch.
I can upgrade this port to 1.1 branch if you interested in accepting this.
Comment 7 commit-hook freebsd_committer 2020-04-15 21:45:11 UTC
A commit references this bug:

Author: rodrigo
Date: Wed Apr 15 21:45:05 UTC 2020
New revision: 531797
URL: https://svnweb.freebsd.org/changeset/ports/531797

Log:
  New port net-im/sshout: Instant-messaging solution based on SSH

  Secure Shout Host Oriented Unified Talk is an instant-messaging platform
  designed to make uses of the existing SSH server in your system.
  SSHOUT creates a private chat room in your host. The authentication of the
  chat room is done by SSH public authentication. Users can join your chat room
  by either directly connecting your SSH server with any SSH client; or using a
  SSHOUT client that implemented the client side SSHOUT API.
  This package provides the SSHOUT server side programs; if you are finding a
  SSHOUT client, go to project page and find out a suitable client; or you can
  also write your own client using SSHOUT API.

  PR:		228723
  Submitted by:	WHR <msl0000023508@gmail.com>

Changes:
  head/GIDs
  head/UIDs
  head/net-im/Makefile
  head/net-im/sshout/
  head/net-im/sshout/Makefile
  head/net-im/sshout/distinfo
  head/net-im/sshout/files/
  head/net-im/sshout/files/sshout.in
  head/net-im/sshout/pkg-descr
  head/net-im/sshout/pkg-install
  head/net-im/sshout/pkg-message
Comment 8 Rodrigo Osorio freebsd_committer 2020-04-15 21:53:18 UTC
Finally after asking other committer and users I changed my mind. Welcome to the port tree :)